net.sf.jasperreports.export

## Class SimpleExporterInput

- java.lang.Object
- - net.sf.jasperreports.export.SimpleExporterInput

- All Implemented Interfaces:
    ExporterInput
  Direct Known Subclasses:
    ParametersExporterInput

      public class SimpleExporterInput
      extends java.lang.Object
      implements ExporterInput

  Version:
    $Id: SimpleExporterInput.java 6699 2013-11-08 10:19:30Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleExporterInput(java.io.File file)` Creates an `ExporterInput` object with a single `JasperPrint` item read from the provided `java.io.File`.
    `SimpleExporterInput(java.io.InputStream inputStream)` Creates an `ExporterInput` object with a single `JasperPrint` item read from the provided input stream.
    `SimpleExporterInput(JasperPrint jasperPrint)` Creates an `ExporterInput` object with a single item wrapping the `JasperPrint` object that will be exported.
    `SimpleExporterInput(java.util.List<ExporterInputItem> items)` Creates an `ExporterInput` object with the provided export items.
    `SimpleExporterInput(java.lang.String fileName)` Creates an `ExporterInput` object with a single `JasperPrint` item read from the provided file.
    `SimpleExporterInput(java.net.URL url)` Creates an `ExporterInput` object with a single `JasperPrint` item read from the provided URL.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SimpleExporterInput` | `getInstance(java.util.List<JasperPrint> jasperPrintList)` Creates an ExportInput object containing the list of `JasperPrint` objects to be exported.
    `java.util.List<ExporterInputItem>` | `getItems()`
    `protected static java.util.List<ExporterInputItem>` | `getItems(java.util.List<JasperPrint> jasperPrintList)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleExporterInput

          public SimpleExporterInput(JasperPrint jasperPrint)

      Creates an `ExporterInput` object with a single item wrapping the `JasperPrint` object that will be exported. If you already have a JasperPrint object, you can pass it to the exporter using this type of input.

    - #### SimpleExporterInput

          public SimpleExporterInput(java.io.InputStream inputStream)

      Creates an `ExporterInput` object with a single `JasperPrint` item read from the provided input stream. If you want to read the JasperPrint object from an input stream (like a web location), you can pass the stream to this constructor.

    - #### SimpleExporterInput

          public SimpleExporterInput(java.net.URL url)

      Creates an `ExporterInput` object with a single `JasperPrint` item read from the provided URL. If the JasperPrint object is available as a web resource, you can use this constructor, instead of opening a HTTP connection and read from the input stream.

    - #### SimpleExporterInput

          public SimpleExporterInput(java.io.File file)

      Creates an `ExporterInput` object with a single `JasperPrint` item read from the provided `java.io.File`. This is useful if the JasperPrint object is representing a file on disk.

    - #### SimpleExporterInput

          public SimpleExporterInput(java.lang.String fileName)

      Creates an `ExporterInput` object with a single `JasperPrint` item read from the provided file. This is useful if the JasperPrint object is representing a file on disk.

    - #### SimpleExporterInput

          public SimpleExporterInput(java.util.List<ExporterInputItem> items)

      Creates an `ExporterInput` object with the provided export items.

  - ### Method Detail

    - #### getInstance

          public static SimpleExporterInput getInstance(java.util.List<JasperPrint> jasperPrintList)

      Creates an ExportInput object containing the list of `JasperPrint` objects to be exported. If you need to concatenate several reports into the same document, you can use this constructor, provided that you don't need to specify a different export configuration for each item. Otherwise, consider using `SimpleExporterInput(List)` instead.

    - #### getItems

          public java.util.List<ExporterInputItem> getItems()

      Specified by:
        `getItems` in interface `ExporterInput`

    - #### getItems

          protected static java.util.List<ExporterInputItem> getItems(java.util.List<JasperPrint> jasperPrintList)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com